Subject: Re: linux-next: manual merge of the kvm-arm tree with the arm64 tree

From: Marc Zyngier <[email-masked]>
Date: Fri, 04 Dec 2020 11:12:29 +0000

Hi Stephen,

On 2020-12-04 05:44, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the kvm-arm tree got a conflict in:
> 
>   arch/arm64/kernel/head.S
> 
> between commits:
> 
>   2ffac9e3fdbd ("arm64: head.S: cleanup SCTLR_ELx initialization")
>   d87a8e65b510 ("arm64: head.S: always initialize PSTATE")
> 
> from the arm64 tree and commit:
> 
>   9c322020286c ("arm64: Extract parts of el2_setup into a macro")
> 
> from the kvm-arm tree.
> 
> I have no idea how to fix this up, so I just used the kvm-arm tree from
> next-20201203 instead for today.

Oops, my bad. I was planning to merge Mark's branch in before pushing 
the
whole thing out, and obviously forgot. Apologies for the mess.

I've now rebased David'd series on top of arm64/for-next/uaccess and 
pushed
the result out in the kvmarm/next branch.

Mark, David: I'd appreciate if you could have a look at the rebase 
result,
and let me know if you spot anything that would require fixing.

Thanks,

         M.
-- 
Jazz is not dead. It just smells funny...